<?php
	include_once(__DIR__."/../../core.php");
	
	
	
	$idscheda = $id_record;
	
	switch( $html->form('op', 'post') ){
		
		//Aggiorno informazioni
		case "update":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				if( isset($_POST['idscheda']) ){
					
					$idscheda = save( $_POST['idscheda'] );
					$idanagrafica = save( $_POST['idanagrafica'] );
					$nome = save( $_POST['nome'] );
					$data_archiviazione = saveDate( $_POST['data_archiviazione'] );
					$data_scadenza = saveDate( $_POST['data_scadenza'] );
					$descrizione = save( $_POST['descrizione'] );
					$note1 = save( $_POST['note1'] );
					$idstato = save( $_POST['idstato'] );
					$query = "UPDATE doc_documentale SET idanagrafica=\"$idanagrafica\",".
									"nome=\"$nome\",".
									"data_archiviazione=\"$data_archiviazione\",".
									"data_scadenza=\"$data_scadenza\",".
									"descrizione=\"$descrizione\",".
									"note1=\"$note1\",".
									"idstato=\"$idstato\"".
									"WHERE idscheda=\"".$idscheda."\"";
					$dbo->query( $query );
					array_push( $_SESSION['infos'], "Informazioni salvate correttamente!" );
				}
			}
			break;

		//Aggiungo nota
		case "add":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$idanagrafica = save( $_POST['idanagrafica'] );
				$nome = save( $_POST['nome'] );
				$descrizione = save( $_POST['descrizione'] );
				$data_scadenza = saveDate( $_POST['data_scadenza'] );
				$idstato = save( $_POST['idstato'] );
				$query = "INSERT INTO doc_documentale( idanagrafica, nome, data_archiviazione,data_scadenza, descrizione , idstato ) VALUES ( \"".$idanagrafica."\", \"".$nome."\", NOW(), \"".$data_scadenza."\",\"".$descrizione."\" ,  \"".$idstato."\")";
							$rs = $dbo->query( $query );
							array_push( $_SESSION['infos'], "Aggiunta nuovo Documento!" );
							$id_record = $dbo->last_inserted_id();
				}
			break;
		//Rimuuovo nota
		case "delete":
		//Elimino anche eventuali file caricati
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$rs = $dbo->fetchArray( "SELECT filename FROM zz_files WHERE module='doc_documentale' AND externalid=\"".$idscheda."\"" );
				
				for( $i=0; $i<sizeof($rs); $i++ ){
					@unlink( $docroot."/files/doc_documentale/".$rs[$i]['filename'] );
				}
				
				$dbo->query( "DELETE FROM zz_files WHERE module='doc_documentale' AND externalid=\"".$idscheda."\"" );
				$dbo->query("DELETE FROM doc_documentale WHERE idscheda=\"".$idscheda."\"");
				array_push( $_SESSION['infos'], "Documento eliminato!" );
			}
			break;
				
	

	}
	
?>
